.tag-container {
    display: inline-block;
    position: relative;

    margin: 0.25rem 0 0.25rem 0.25rem;

    background: var(--primary);

    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);

    color: var(--button-color);

    span {
        text-decoration: none;
        text-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
        display: inline-block;
        vertical-align: middle;
        max-width: 8rem;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }

    &.small {
        padding: 2px 6px;
        border-radius: 2px;

        .tag-close-button {
            margin-left: 6px !important;
        }

    }

    &.large {
        padding: 0.25rem 0.5rem;
        border-radius: 3px;

        span {
            font-weight: bold;
        }
    }
}

.tag-close-button {
    margin-left: 0.5rem;
    color: var(--button-color);
}
